> ## Documentation Index
> Fetch the complete documentation index at: https://docs.olostep.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Answer

> This endpoint retrieves a previously completed answer by its ID.



## OpenAPI

````yaml openapi/answers.json GET /v1/answers/{answer_id}
openapi: 3.0.3
info:
  title: Answers API
  version: 1.0.0
servers:
  - url: https://api.olostep.com
security: []
paths:
  /v1/answers/{answer_id}:
    get:
      summary: Get Answer
      description: This endpoint retrieves a previously completed answer by its ID.
      parameters:
        - name: answer_id
          in: path
          required: true
          description: Unique identifier for the answer to be retrieved.
          schema:
            type: string
      responses:
        '200':
          description: Successful response with the answer object.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  object:
                    type: string
                  created:
                    type: integer
                  metadata:
                    type: object
                  task:
                    type: string
                  result:
                    type: object
                    properties:
                      json_content:
                        type: string
                      json_hosted_url:
                        type: string
                      sources:
                        type: array
                        items:
                          type: string
        '402':
          description: Invalid API Key
        '404':
          description: Answer Not Found
        '500':
          description: Internal Server Error
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer <token>, where <token>
        is your auth token.

````